import Vue from 'vue'
import Vuex from 'vuex';
Vue.use(Vuex)

//엄격모드 비활성화
export const strict = false

const store = () => new Vuex.Store({
  state:{   
    editMode:false,
    guideId: null,
    guideNavigator: [],
    theme:false
  },
  mutations:{
    setEditMode: (state, val) => {
      state.editMode = val
    },
    setGuide: (state, {guideId, flag}) => {
      state.guideId = guideId
      if(flag) {
        state.guideTreeFlag = !state.guideTreeFlag
      }
    },
    setGuideNavigator: (state, guideNavigator) => {
      state.guideNavigator = guideNavigator
    },
    setTheme: (state, theme) => {
      state.theme = theme
    },
  },
  actions:{

  },
  getters: {
  }
})

export default store